Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task
Interface ReasonerTask

All Known Subinterfaces:
  BooleanResultReasonerTask, BooleanResultReasonerTask, CollectionResultReasonerTask, CollectionResultReasonerTask

All Known Implementing Classes:
  AbstractReasonerTask, AbstractReasonerTask, AbstractSingleConceptWithConceptCollectionResultTask, AbstractSingleConceptWithConceptCollectionResultTask, ClassifyTaxonomyTask, ClassifyTaxonomyTask, GetAncestorConceptsTask, GetAncestorConceptsTask, GetConceptIntersectionSuperclassesTask, GetConceptSatisfiableTask, GetConceptSatisfiableTask, GetDescendantConceptsTask, GetDescendantConceptsTask, GetEquivalentConceptsTask, GetEquivalentConceptsTask, GetIndividualInferredTypesTask, GetIndividualInferredTypesTask, GetIndividualPropertyValuesTask, GetIndividualsBelongingToConceptTask, GetIndividualsBelongingToConceptTask, GetSubConceptsTask, GetSubConceptsTask, GetSubsumptionRelationshipTask, GetSuperConceptsTask, GetSuperConceptsTask, IsConceptIntersectionSatisfiableTask, IsConceptIntersectionSatisfiableTask, IsDisjointToTask, IsDisjointToTask, IsSubsumedByTask, IsSubsumedByTask, ResetInferredHierarchyTask, ResetInferredHierarchyTask, SynchronizeReasonerTask, SynchronizeReasonerTask, UpdateEquivalentClassesTask, UpdateEquivalentClassesTask, UpdateInconsistentClassesTask, UpdateInconsistentClassesTask, UpdateInferredHierarchyTask, UpdateInferredHierarchyTask, UpdateInferredTypesTask, UpdateInferredTypesTask

    public interface ReasonerTask

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jul 22, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Reasoner tasks are encapsulated to allow them to be started in worker threads and monitored. The `ReasonerTask` interface defines the various 'monitoring' methods that are available.

Method Summary
`void` | `addTaskListener(ReasonerTaskListener lsnr)` Adds a `ReasonerTaskListener`, which is notified when the state of the task changes, for example when progress changes, or the task message changes.
`String` | `getDescription()` Gets a high level description of the task.
`String` | `getMessage()` Gets the current task message.
`int` | `getProgress()` Gets the current progress of a task.
`int` | `getTaskSize()` Gets the size of the task.
`boolean` | `isProgressIndeterminate()` Determines whether the task can determine its overall progress.
`boolean` | `isRequestAbort()`
`void` | `removeTaskListener(ReasonerTaskListener lsnr)` Removes a previously added task listener.
`void` | `run()` Executes the task.
`void` | `setRequestAbort()`

Method Detail

### getTaskSize

    int getTaskSize()

  Gets the size of the task. When the progress reaches this size, the task should be complete.

### getProgress

    int getProgress()

  Gets the current progress of a task.

### isProgressIndeterminate

    boolean isProgressIndeterminate()

  Determines whether the task can determine its overall progress. If the task cannot determine its progress then the progress may not be tracked - the progress is indeterminate.

  Returns:
    `true` if the progress cannot be determined. `false` if the progress can be determined. If a task is indeterminate the results for `getTaskSize` and `getProgress` are undefined.

### getDescription

    String getDescription()

  Gets a high level description of the task. This description should typically describe the overall status of the task e.g. "Classifying taxonomy"

### getMessage

    String getMessage()

  Gets the current task message. This will typically change throughout the course of the task procedure.

### run

    void run()
             throws ProtegeReasonerException

  Executes the task.

  Throws:
    `ProtegeReasonerException`

### addTaskListener

    void addTaskListener(ReasonerTaskListener lsnr)

  Adds a `ReasonerTaskListener`, which is notified when the state of the task changes, for example when progress changes, or the task message changes.

### removeTaskListener

    void removeTaskListener(ReasonerTaskListener lsnr)

  Removes a previously added task listener.

### setRequestAbort

    void setRequestAbort()

### isRequestAbort

    boolean isRequestAbort()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.